List Widgets
Returns a list of Widgets. Optional parameters can be passed in.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Content | modify | `store_v2_content` |
| Content | read-only | `store_v2_content_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Query parameters
page
Specifies the page number in a limited (paginated) list of products.
limit
Controls the number of items per page in a limited (paginated) list of products.
widget_template_kind
The kind of widget template.
widget_template_uuid
The identifier for a specific widget template.
name
The URL-encoded name of the widget.
name:in
Use to pass in comma-separated list of widget names. Example: /widgets?name:in=test-widget-name,header%20images
channel_id:in
A comma-separated list of channel ids to filter the results by.
site_id:in
A comma-separated list of site IDs to filter the results by.
Response
data
meta
Data about the response, including pagination and collection totals.
Errors
422
Unprocessable Entity Error